Subject: Re: linux-next: trees being removed

From: Alexandre Belloni <[email-masked]>
Date: Wed, 27 Mar 2024 11:04:21 +0100

On 26/03/2024 21:16:53-0700, Eric Biggers wrote:
> On Wed, Mar 27, 2024 at 10:13:09AM +1100, Stephen Rothwell wrote:
> > The following trees are going to be removed from linux-next because they
> > have not been updated in more than a year.  If you want a tree restored,
> > just let me know (and update its branch).
> > 
> > Tree			Last commit date
> >   URL
> >   comits (if any)
> > ----			----------------
> > ecryptfs		2023-03-24 17:26:44 -0500
> >   git://git.kernel.org/pub/scm/linux/kernel/git/tyhicks/ecryptfs.git#next
> >   c1cc2db21607 ("ecryptfs: keystore: Fix typo 'the the' in comment")
> >   a3d78fe3e1ae ("fs: ecryptfs: comment typo fix")
> > fscrypt-current		2023-03-18 21:08:03 -0700
> >   git://git.kernel.org/pub/scm/fs/fscrypt/linux.git#for-current
> > fsverity-current	2023-03-15 22:50:41 -0700
> >   git://git.kernel.org/pub/scm/fs/fsverity/linux.git#for-current
> > modules-fixes		2023-02-06 08:45:55 -0800
> >   git://git.kernel.org/pub/scm/linux/kernel/git/mcgrof/linux.git#modules-linus
> > rtc-fixes		2023-01-23 23:33:47 +0100
> >   git://git.kernel.org/pub/scm/linux/kernel/git/abelloni/linux.git#rtc-fixes
> > tee-fixes		2023-02-12 14:10:17 -0800
> >   https://git.linaro.org/people/jens.wiklander/linux-tee.git#fixes
> > ubifs-fixes		2023-01-21 16:27:01 -0800
> >   git://git.kernel.org/pub/scm/linux/kernel/git/rw/ubifs.git#fixes
> 
> fscrypt-current and fsverity-current are technically still in use.  I just
> haven't used them recently because there haven't been any bug fixes that needed
> to go in while other commits were already applied for the next merge window.
> 
> I've updated them to v6.9-rc1.
> 
> I'd guess that some of those *-fixes branches have something similar going on,
> where they may be rarely used fixes branches as opposed to the main development
> branch.
> 

This is exactly my case. I don't mind my branch being dropped and I can
ask to add it back once I have urgent fixes.

-- 
Alexandre Belloni, co-owner and COO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com